@mixin link_h {
	&:hover {
		@content;
	}
}

@mixin link_f {
	&:focus {
		@content;
	}
}

@mixin link_a {
	&:active {
		@content;
	}
}

@mixin link_hfa {
	&:hover, &:focus, &:active {
		@content;
	}
}

@mixin link_fa {
	&:focus, &:active {
		@content;
	}
}

@mixin link_ha {
	&:hover, &:active {
		@content;
	}
	&:hover:active {
		@content;
	}
}

@mixin link_hf {
	&:hover, &:focus {
		@content;
	}
}